import DashboardLayout from '@/components/layout/dashboard-layout';
import { verifySession } from '@/lib/auth';
import AttendanceHistoryManager from '@/components/employee/attendance-history-manager';

export default async function EmployeeAttendanceHistoryPage() {
  const session = await verifySession();
  if (!session?.user) return null;

  return (
    <DashboardLayout>
      <AttendanceHistoryManager />
    </DashboardLayout>
  );
}
